package com.palmnest.application.dto;

import java.io.Serializable;

/**
 * 
 * @author wangxz
 *
 * 2018年4月24日
 * 
 * WEB 分页通用返回类
 */
public class WebPageResultDto implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -5646304311924420231L;
	private String code;
	private Long count;
	private String msg;
	private Object data;
	
	public WebPageResultDto() {
		
	}
	
	public WebPageResultDto(String code, String msg, Object data) {
		super();
		this.code = code;
		this.msg = msg;
		this.data = data;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}

	public Long getCount() {
		return count;
	}

	public void setCount(Long count) {
		this.count = count;
	}

}
